Wallet

Update project fee configuration (for non-custodial / external users)

Update project-level fee settings. **For non-custodial / external users** — e.g. fee charged on payouts or transfers. Custodial wallet is no longer used in production. Applies to **all supported currencies** (BTC, ETH, BNB, LTC, SOL, TRX, USDT). **feePercentage** is a decimal: use `0.01` for 1%, `0.005` for 0.5%, etc. (min 0, max 1).

AuthBearer (JWT)
GroupWallet
Rate limitSee Rate Limits
PATCH/api/wallet/projects/{projectId}/fee-config

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, WalletApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const wallet = new WalletApi(configuration);
import { Configuration, WalletApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const wallet = new WalletApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await wallet.updateWalletFeeConfig(
  "proj_kGLEViLxgffq",
  {
    enabled: true,
    feePercentage: 63.99
  }
);
const { data: result } = await wallet.updateWalletFeeConfig(
  "proj_kGLEViLxgffq",
  {
    enabled: true,
    feePercentage: 63.99
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
projectIdstringYesProject ID

Request Body

json
{
  "enabled": false,
  "feePercentage": 428.73
}
{
  "enabled": false,
  "feePercentage": 428.73
}

Responses

200Fee configuration updated

Configuration updated

json
{
  "success": true,
  "message": "Fee configuration updated successfully",
  "data": {
    "enabled": true,
    "feePercentage": 0.01
  }
}
{
  "success": true,
  "message": "Fee configuration updated successfully",
  "data": {
    "enabled": true,
    "feePercentage": 0.01
  }
}

Project fee disabled

json
{
  "success": true,
  "message": "Fee configuration updated successfully",
  "data": {
    "enabled": false,
    "feePercentage": 0.01
  }
}
{
  "success": true,
  "message": "Fee configuration updated successfully",
  "data": {
    "enabled": false,
    "feePercentage": 0.01
  }
}
400
404

Errors

CodeMeaning
400
404
Edit this page on GitHub